---
title: Append
url: https://www.tines.com/docs/api/cases/blocks/elements/append-content/
updated: 2026-01-26T15:08:38+00:00
description: Append to the element content. Only note elements can be appended to.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Blocks](https://www.tines.com/llm/docs/api/cases/blocks.md) › [Elements](https://www.tines.com/llm/docs/api/cases/blocks/elements.md)*

# Append

*[View on tines.com](https://www.tines.com/docs/api/cases/blocks/elements/append-content/)*

## Description

Append to the element content. Only note elements can be appended to.

## Request

HTTP Method: **POST**

### Note Element Parameters

| Parameter    | Description                                               |
| ------------ | --------------------------------------------------------- |
| content      | The additional content of the element.                    |
| author_email | **Optional** The email address of the author of the note. |

| Path Parameter | Description            |
| -------------- | ---------------------- |
| case_id        | The ID of the case.    |
| block_id       | The ID of the block.   |
| element_id     | The ID of the element. |

### Sample request for appending to a note element

```bash
curl -X POST \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/blocks/<<block_id>>/elements/<<element_id>>/content \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{"content": "...This is additional content to append to the existing content."}'
```

## Response

A successful request will return a JSON object describing the updated element.

### Field description

#### Common Element Parameters

| Parameter    | Description                                                 |
| ------------ | ----------------------------------------------------------- |
| element_id   | The unique ID of this element within the current block.     |
| id           | The original/source ID of the element.                      |
| element_type | The type of the element - options: note, file.              |
| author       | Details of the author of the element.                       |
| created_at   | ISO 8601 Timestamp representing creation date and time.     |
| updated_at   | ISO 8601 Timestamp representing last updated date and time. |

| Author parameter   | Description                                          |
| ------------------ | ---------------------------------------------------- |
| user_id            | The user ID.                                         |
| first_name         | The user's first name.                               |
| last_name          | The user's last name.                                |
| email              | The user's email address.                            |
| avatar_url         | The user's avatar url.                               |
| is_service_account | Whether this user is a service account (true/false). |

#### Note Element Parameters

| Parameter | Description                                                                            |
| --------- | -------------------------------------------------------------------------------------- |
| content   | The content of the note.                                                               |
| note_type | The type of note - "html" for html blocks and "text" for any others.                   |
| color     | The color of the note - options: white, gold, magenta, green, blue, red, mint, indigo. |

### Sample response for a note element

<!-- cspell:disable -->

```json
{
  "element_id": 456,
  "id": 123,
  "element_type": "note",
  "content": "This is a note element...This is additional content to append to the existing content.",
  "note_type": "text",
  "color": "blue",
  "author": {
    "user_id": "1",
    "first_name": "Jane",
    "last_name": "Doe",
    "email": "jane@tines.io",
    "avatar_url": "example.com/avatar",
    "is_service_account": false
  },
  "created_at": "2025-01-07T11:42:58Z",
  "updated_at": "2025-01-08T10:15:30Z"
}
```

<!-- cspell:enable -->
